# $Revision: 1.23 $, $Date: 2012/01/23 09:29:40 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		ecore_ver	1.1.0
%define		eina_ver	1.1.0
%define		eet_ver		1.5.0

Summary:	freedesktop.org standards implementation for the EFL
Summary(pl.UTF-8):	Implementacja standardów freedesktop.org dla EFL
Name:		efreet
Version:	1.1.0
Release:	3
License:	BSD
Group:		X11/Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	286b7d66ede62c87f4effef938c2ee7e
URL:		http://trac.enlightenment.org/e/wiki/Efreet
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	ecore-devel >= %{ecore_ver}
BuildRequires:	ecore-file-devel >= %{ecore_ver}
BuildRequires:	eet-devel >= %{eet_ver}
BuildRequires:	eina-devel >= %{eina_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
Requires:	ecore >= %{ecore_ver}
Requires:	ecore-file >= %{ecore_ver}
Requires:	eet >= %{eet_ver}
Requires:	eina >= %{eina_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Efreet is an implementation of the following specifications from
freedesktop.org:
 - Base Directory - Locations for system and user specific desktop
   configuration files,
 - Desktop Entries - The metadata associated with the applications
   installed on a system,
 - Application Menus - The arrangement of available applications into
   a hierarchical menu,
 - Icon Themes - A means of associating icons with various objects on
   the desktop in a themable fashion.

By following these specifications, Enlightenment 0.17 uses the same
format for describing application launchers, menus and icon themes as
the GNOME, KDE and XFCE Desktop Environments. A system must only
provide a single set of this data for use with any of these desktops.

%description -l pl.UTF-8
Efreet to implementacja następujących specyfikacji z freedesktop.org:
 - Base Directory - położenie plików konfiguracyjnych środowiska dla
   systemu i użytkownika,
 - Desktop Entries - metadane związane z aplikacjami zainstalowanymi w
   systemie,
 - Application Menus - uporządkowanie dostępnych aplikacji w menu
   hierarchiczne,
 - Icon Themes - sposób wiązania ikon z różnymi obiektami w środowisku
   w sposób pozwalający na ustawianie motywów.

%package devel
Summary:	Efreet header files
Summary(pl.UTF-8):	Pliki nagłówkowe Efreet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ecore-devel >= %{ecore_ver}
Requires:	ecore-file-devel >= %{ecore_ver}
Requires:	eet-devel >= %{eet_ver}
Requires:	eina-devel >= %{eina_ver}

%description devel
Header files for Efreet.

%description devel -l pl.UTF-8
Pliki nagłówkowe Efreet.

%package static
Summary:	Static Efreet library
Summary(pl.UTF-8):	Statyczna biblioteka Efreet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Efreet library.

%description static -l pl.UTF-8
Statyczna biblioteka Efreet.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just tests
%{__rm} $RPM_BUILD_ROOT%{_bindir}/efreet_{alloc,menu_alloc,test,spec_test,cache_test}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/test

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/efreet_icon_cache_dump
%attr(755,root,root) %{_libdir}/libefreet.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet.so.1
%attr(755,root,root) %{_libdir}/libefreet_mime.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet_mime.so.1
%attr(755,root,root) %{_libdir}/libefreet_trash.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libefreet_trash.so.1
%dir %{_libdir}/efreet
%attr(755,root,root) %{_libdir}/efreet/efreet_desktop_cache_create
%attr(755,root,root) %{_libdir}/efreet/efreet_icon_cache_create

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libefreet.so
%attr(755,root,root) %{_libdir}/libefreet_mime.so
%attr(755,root,root) %{_libdir}/libefreet_trash.so
%{_libdir}/libefreet.la
%{_libdir}/libefreet_mime.la
%{_libdir}/libefreet_trash.la
%{_includedir}/efreet-1
%{_pkgconfigdir}/efreet.pc
%{_pkgconfigdir}/efreet-mime.pc
%{_pkgconfigdir}/efreet-trash.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libefreet.a
%{_libdir}/libefreet_mime.a
%{_libdir}/libefreet_trash.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: efreet.spec,v $
Revision 1.23  2012/01/23 09:29:40  zbyniu
- R: eina not eina-devel; rel 3

Revision 1.22  2012/01/21 20:02:58  zbyniu
- release 2

Revision 1.21  2011/12/11 18:44:18  qboosh
- updated to 1.1.0

Revision 1.20  2011/06/01 19:22:04  qboosh
- updated to 1.0.1

Revision 1.19  2011/02/02 16:52:44  qboosh
- updated URL

Revision 1.18  2011/02/02 14:55:29  qboosh
- package ChangeLog

Revision 1.17  2011/02/01 08:46:10  lisu
- rel 3

Revision 1.16  2011/01/31 18:05:15  lisu
- rel 2

Revision 1.15  2011/01/31 13:39:55  lisu
- 1.0.0 is now stable

Revision 1.14  2010/12/05 19:45:44  qboosh
- really updated to 1.0.0.beta3

Revision 1.13  2010/12/05 19:34:23  qboosh
- updated to 1.0.0.beta3
- License is BSD

Revision 1.12  2010/11/16 18:08:47  witekfl
- 1.0.0.beta2

Revision 1.11  2010/08/06 13:42:49  witekfl
- LATEST snapshot

Revision 1.10  2010/08/04 20:59:45  witekfl
- up to the snapshot 0.5.0.49898

Revision 1.9  2008/10/10 17:11:45  qboosh
- simplified setup

Revision 1.8  2008/10/09 23:07:49  sparky
- correct md5

Revision 1.7  2008/10/09 18:00:26  pablo
- updated
- using "official" snapshots

Revision 1.6  2008/08/25 16:44:49  pablo
- updated to 20080813 snap

Revision 1.5  2008/06/03 21:29:51  qboosh
- ghost soname symlinks
- updated ac/am BRs

Revision 1.4  2008-06-01 14:16:28  cactus
- missing - in log

Revision 1.3  2008-06-01 14:12:59  cactus
- up to 0.5.0.043

Revision 1.2  2008-05-31 20:44:13  cactus
- more flexible to update

Revision 1.1  2007-09-09 12:25:25  qboosh
- new
